Bug 1415616 - f25 install with virt-install in qemu-system-aarch64 causes oops [NEEDINFO]
Summary: f25 install with virt-install in qemu-system-aarch64 causes oops
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: aarch64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 09:15 UTC by Anton Arapov
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:17:44 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description Anton Arapov 2017-01-23 09:15:17 UTC
Below oops is triggered with:
# virt-install  --vcpus 1  --name f25-aarch64-urlinst --ram 2048 --arch aarch64    --boot uefi --disk size=8    --location https://dl.fedoraproject.org/pub/fedora-secondary/releases/25/Server/aarch64/os

It is always happens during "storaged" package install. Reproducible.


[ 2108.524415] Internal error: Oops - BUG: 0 [#1] SMP
[ 2108.525605] Modules linked in: vfat fat xfs fcoe libfcoe libfc scsi_transport_fc zram crc32_arm64 ghash_ce mtd qemu_fw_cfg chipreg loop virtio_console virtio_scsi virtio_net gpio_keys virtio_mmio virtio_ring virtio sunrpc xts lrw gf128mul dm_crypt dm_round_robin linear raid10 raid456 async_raid6_recov async_memcpy libcrc32c async_pq async_xor xor async_tx raid6_pq raid1 raid0 scsi_dh_rdac scsi_dh_hp_sw scsi_dh_emc scsi_dh_alua iscsi_tcp libiscsi_tcp libiscsi squashfs cramfs scsi_transport_iscsi dm_multipath
[ 2108.527998] CPU: 0 PID: 1249 Comm: loop0 Tainted: P                4.8.6-300.fc25.aarch64 #1
[ 2108.528233] Hardware name: QEMU QEMU Virtual Machine, BIOS 0.0.0 02/06/2015
[ 2108.528469] task: fffffe0060107400 task.stack: fffffe007be14000
[ 2108.528976] PC is at remove_zspage+0x80/0x90
[ 2108.529134] LR is at fix_fullness_group+0xcc/0xe8
[ 2108.529300] pc : [<fffffc000825c328>] lr : [<fffffc000825c404>] pstate: 60000145
[ 2108.529495] sp : fffffe007be17810
[ 2108.529612] x29: fffffe007be17810 x28: fffffe007be17a10 
[ 2108.529800] x27: 0000000000000000 x26: 0000000000006ddf 
[ 2108.529953] x25: 0000000000006dd8 x24: fffffc000997dd88 
[ 2108.530213] x23: 00004de300000001 x22: fffffe001b663ed0 
[ 2108.530508] x21: fffffe007df01e00 x20: 0000000000000000 
[ 2108.530802] x19: 0000000000000003 x18: 0000000000000000 
[ 2108.531083] x17: dffa7ce041016c03 x16: 0000000000000000 
[ 2108.531371] x15: 43012b4c92a78873 x14: c7bf17e4901a6388 
[ 2108.531658] x13: 46b84e1502e996b0 x12: 8d691af8b203e2f4 
[ 2108.531937] x11: 506fc12999a1bfd1 x10: 6acc8341549a1202 
[ 2108.532173] x9 : f59dbc65a804959b x8 : 174240ba2e7d8c01 
[ 2108.532381] x7 : 0000000000000000 x6 : 0000000000000040 
[ 2108.532595] x5 : 000002007fffffff x4 : fffffe0060107400 
[ 2108.532809] x3 : fffffe007be14000 x2 : 0000000000000003 
[ 2108.533025] x1 : fffffe007df01e38 x0 : fffffe007df01e38 
[ 2108.533241] 
[ 2108.533353] Process loop0 (pid: 1249, stack limit = 0xfffffe007be14020)
[ 2108.533588] Stack: (0xfffffe007be17810 to 0xfffffe007be18000)
[ 2108.533875] 7800:                                   fffffe007be17840 fffffc000825c404
[ 2108.534148] 7820: fffffe001b663ed0 0000000000000000 0000000000000000 fffffe007df01e00
[ 2108.534427] 7840: fffffe007be17870 fffffc000825e0a0 fffffe001b663ed0 fffffe002253f0e8
[ 2108.534703] 7860: fffffe007df01e00 fffffe007df0c100 fffffe007be178b0 fffffc0001a91640
[ 2108.534969] 7880: fffffe006bd82c00 000000000006dd80 fffffe007e993800 000000000006dd80
[ 2108.535273] 78a0: 0000000000006dd8 fffffe006bd82c00 fffffe007be178e0 fffffc0001a91d5c
[ 2108.535625] 78c0: fffffe006bd82c00 fffffc000997dd80 000000000006dd80 fffffe007e993800
[ 2108.535962] 78e0: fffffe007be17920 fffffc000822bfb8 fffffdff801b2300 fffffe006bd8f200
[ 2108.536973] 7900: 0000000000006dd8 fffffe0026f9b800 fffffe007be17a70 0000000000000000
[ 2108.537331] 7920: fffffe007be17950 fffffc000822c7b0 fffffdff801b2300 0000000000000000
[ 2108.537601] 7940: fffffe007be17a70 0000000000000000 fffffe007be17970 fffffc000822d420
[ 2108.537785] 7960: fffffdff801b2300 000000000242000a fffffe007be179b0 fffffc000822d548
[ 2108.538059] 7980: 00000000000004b5 0000000000006dd8 0000000000006dd8 000000000242000a
[ 2108.538333] 79a0: 00000000000004b5 01fffc00080f3328 fffffe007be17a40 fffffc00081fc43c
[ 2108.538602] 79c0: 00000000000004b5 fffffe00600adc60 0000000000006dd8 000000000242000a
[ 2108.538871] 79e0: 0000000000000000 0000000000000000 fffffe007be17da8 0000000000000000
[ 2108.539153] 7a00: 0000000000000000 0000000000006dd8 fffffe007be17a10 fffffe007be17a10
[ 2108.539436] 7a20: fffffe007be17a20 fffffe007be17a20 fffffe007be17a30 fffffe007be17a30
[ 2108.539820] 7a40: fffffe007be17b30 fffffc00081fce00 0000000000000001 fffffe00600adc60
[ 2108.540193] 7a60: 00000000000004b5 fffffe00600adcc8 0000000000000000 0000000000000000
[ 2108.540564] 7a80: fffffe007be17ab0 fffffc00081dd9f0 fffffc0008fe5000 0000000000000000
[ 2108.540937] 7aa0: 0000000000000000 fffffc00081dcb10 fffffe007be17b10 fffffc000822d168
[ 2108.541303] 7ac0: fffffc0008fe5000 fffffe00600adc60 00000000000004b5 fffffe00600adcc8
[ 2108.541642] 7ae0: 0000000000000000 0000000000000000 fffffe007be17da8 000000000001b762
[ 2108.541970] 7b00: 0000000000000000 0000000000003934 fffffe007be17b30 fffffc00081fc9bc
[ 2108.542323] 7b20: 0000000000000000 fffffe00600adc60 fffffe007be17bf0 fffffc00081fda78
[ 2108.542645] 7b40: fffffe007be17cc8 00000000000004b5 000000000000cc00 fffffe00600adcc8
[ 2108.542959] 7b60: 0000000000000000 0000000000000000 fffffe007be17da8 0000000000000004
[ 2108.543291] 7b80: 0000000000000001 fffffe00600ade40 fffffe007be17bc0 fffffc00080ff588
[ 2108.543627] 7ba0: fffffe007be17bc0 fffffe007be17c88 0000000000000000 0000000002400000
[ 2108.543964] 7bc0: 0242000a00000000 0000000004b50000 fffffe00600adc60 fffffe00600ade40
[ 2108.544306] 7be0: fffffe007ff2ad70 0000000000000000 fffffe007be17c90 fffffc0008264140
[ 2108.544613] 7c00: fffffe006701ad00 fffffe007be17d90 fffffe007be17da8 fffffe007dfe2b00
[ 2108.544947] 7c20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 2108.545273] 7c40: fffffc00021b0480 0000000000000400 fffffe007ff2ad70 fffffe007be17cc8
[ 2108.545589] 7c60: fffffe006701ad00 fffffc0008ec0000 0000000000000000 fffffe007ff2ad00
[ 2108.545926] 7c80: 0000000000000000 0000000000000000 fffffe007be17cf0 fffffc00021a28a4
[ 2108.546252] 7ca0: fffffe006b9adc00 fffffe007be17da8 fffffe0039c2d400 fffffe007ff2ad00
[ 2108.546585] 7cc0: fffffc0008d74000 fffffe006701ad00 0000000004b5cc00 0000000000000000
[ 2108.546927] 7ce0: 0000000000000000 0000000000000000 fffffe007be17dd0 fffffc00080e7404
[ 2108.547246] 7d00: fffffe0039c2d570 fffffe006b9add48 fffffe007be14000 0000000000000001
[ 2108.547582] 7d20: fffffe006b9add50 fffffc0008f27000 fffffc0008f27618 0000000000000000
[ 2108.547913] 7d40: 0000000000000000 0000000000000000 fffffe0039c2d570 fffffe006b9add48
[ 2108.548238] 7d60: fffffe007be14000 0000000000000001 fffffe006b9add50 fffffc0008f27000
[ 2108.548571] 7d80: fffffc0008f27618 0000000000000000 0000000004b5cc00 fffffdff801d4300
[ 2108.548880] 7da0: 0000cc0000000400 0000000000000004 0000000000000000 0000000000000400
[ 2108.549225] 7dc0: fffffe007be17d98 0000000000000001 fffffe007be17e20 fffffc00080e75b0
[ 2108.549559] 7de0: fffffe003ddb9900 fffffc0008ee1ed0 fffffc0008a9f608 fffffe006b9add48
[ 2108.549874] 7e00: fffffc00080e7348 0000000000000000 0000000000000000 fffffe006b9add48
[ 2108.550192] 7e20: 0000000000000000 fffffc0008083380 fffffc00080e74d8 fffffe003ddb9900
[ 2108.550507] 7e40: 0000000000000000 0000000000000000 0000000000000000 fffffe007be14000
[ 2108.550912] 7e60: fffffe007be17ea0 0000000000000000 fffffe0060103a00 fffffe006b9add48
[ 2108.551273] 7e80: 0000000000000000 0000000000000000 fffffe007be17e90 fffffe007be17e90
[ 2108.551669] 7ea0: 0000000000000000 fffffc0000000000 fffffe007be17eb0 fffffe007be17eb0
[ 2108.552011] 7ec0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 2108.552321] 7ee0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 2108.552602] 7f00: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 2108.552863] 7f20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 2108.553212] 7f40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 2108.553549] 7f60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 2108.553889] 7f80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 2108.554284] 7fa0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 2108.554584] 7fc0: 0000000000000000 0000000000000005 0000000000000000 0000000000000000
[ 2108.554876] 7fe0: 0000000000000000 0000000000000000 f9401fa0aa0003e1 f94008018b010000
[ 2108.555293] Call trace:
[ 2108.555670] Exception stack(0xfffffe007be17640 to 0xfffffe007be17770)
[ 2108.556100] 7640: 0000000000000003 0000040000000000 fffffe007be17810 fffffc000825c328
[ 2108.556484] 7660: 0000000000000002 0000000000000040 0000000000001910 fffffc0008e70db1
[ 2108.556881] 7680: fffffc0008ae1b50 0000000000000000 fffffe007be177a0 fffffc0008248788
[ 2108.557226] 76a0: 00000000000001c0 fffffe007401d500 0000000002080220 00000000ffffffff
[ 2108.557580] 76c0: fffffc0008402778 fffffe007ff2e520 fffffe0074fc9628 0000000000006dd8
[ 2108.557899] 76e0: fffffe007df01e38 fffffe007df01e38 0000000000000003 fffffe007be14000
[ 2108.558250] 7700: fffffe0060107400 000002007fffffff 0000000000000040 0000000000000000
[ 2108.558597] 7720: 174240ba2e7d8c01 f59dbc65a804959b 6acc8341549a1202 506fc12999a1bfd1
[ 2108.558926] 7740: 8d691af8b203e2f4 46b84e1502e996b0 c7bf17e4901a6388 43012b4c92a78873
[ 2108.559287] 7760: 0000000000000000 dffa7ce041016c03
[ 2108.559581] [<fffffc000825c328>] remove_zspage+0x80/0x90
[ 2108.559902] [<fffffc000825c404>] fix_fullness_group+0xcc/0xe8
[ 2108.560170] [<fffffc000825e0a0>] zs_free+0xb0/0x138
[ 2108.560749] [<fffffc0001a91640>] zram_free_page+0x40/0xc8 [zram]
[ 2108.561056] [<fffffc0001a91d5c>] zram_slot_free_notify+0x5c/0xa8 [zram]
[ 2108.561338] [<fffffc000822bfb8>] swap_slot_free_notify+0x80/0x90
[ 2108.561573] [<fffffc000822c7b0>] swap_readpage+0xc8/0x208
[ 2108.561802] [<fffffc000822d420>] read_swap_cache_async+0x50/0x68
[ 2108.562048] [<fffffc000822d548>] swapin_readahead+0x110/0x210
[ 2108.562287] [<fffffc00081fc43c>] shmem_swapin+0x5c/0x80
[ 2108.562512] [<fffffc00081fce00>] shmem_getpage_gfp+0x518/0xa10
[ 2108.562764] [<fffffc00081fda78>] shmem_file_read_iter+0xb8/0x380
[ 2108.563063] [<fffffc0008264140>] vfs_iter_read+0x80/0xf0
[ 2108.563330] [<fffffc00021a28a4>] loop_queue_work+0x28c/0x848 [loop]
[ 2108.563628] [<fffffc00080e7404>] kthread_worker_fn+0xbc/0x190
[ 2108.563894] [<fffffc00080e75b0>] kthread+0xd8/0xf0
[ 2108.564124] [<fffffc0008083380>] ret_from_fork+0x10/0x50
[ 2108.564482] Code: a9425bf5 a8c37bfd d65f03c0 d503201f (d4210000) 
[ 2108.565582] ---[ end trace 40ef7e78f5da6de4 ]---

Comment 1 Anton Arapov 2017-01-23 09:52:10 UTC
workaround is to shutdown zram.
# systemctl stop zram

So the remove_zspage is your likely victim. :)

btw, rawhide install dies too, though at the very beginning.

Comment 2 Justin M. Forbes 2017-04-11 14:56:47 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2017-04-28 17:17:44 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.